Index: branches/2016/dev_r6409_SIMPLIF_2_usrdef/NEMOGCM/NEMO/OPA_SRC/nemogcm.F90
===================================================================
--- branches/2016/dev_r6409_SIMPLIF_2_usrdef/NEMOGCM/NEMO/OPA_SRC/nemogcm.F90	(revision 6595)
+++ branches/2016/dev_r6409_SIMPLIF_2_usrdef/NEMOGCM/NEMO/OPA_SRC/nemogcm.F90	(revision 6596)
@@ -239,16 +239,17 @@
       INTEGER  ::   ios, inum     !   -      -
       REAL(wp) ::   ziglo, zjglo, zkglo   ! local scalars
-      CHARACTER(len=120), DIMENSION(16) ::   cltxt, cltxt2, clnam
+      CHARACTER(len=120), DIMENSION(16) ::   cltxt, cltxt2, clnam, clbug
       !
       NAMELIST/namctl/ ln_ctl  , nn_print, nn_ictls, nn_ictle,   &
          &             nn_isplt, nn_jsplt, nn_jctls, nn_jctle,   &
          &             nn_timing, nn_diacfl
-      NAMELIST/namcfg/ ln_read_cfg, cp_cfg, cp_cfz, jp_cfg, jpidta, jpjdta, jpkdta, jpiglo, jpjglo, &
-         &             jpizoom, jpjzoom, jperio, ln_use_jattr
+      NAMELIST/namcfg/ ln_read_cfg, cp_cfg, cp_cfz, jp_cfg,   &
+         &             jperio, ln_use_jattr
       !!----------------------------------------------------------------------
       !
       cltxt  = ''
       cltxt2 = ''
-      clnam  = ''
+      clnam  = ''  
+      clbug  = ''
       cxios_context = 'nemo'
       !
@@ -257,4 +258,7 @@
       CALL ctl_opn( numnam_cfg, 'namelist_cfg', 'OLD', 'FORMATTED', 'SEQUENTIAL', -1, 6, .FALSE. )
       !
+
+!!gm      WRITE(clbug(1),*) ' before namelist / namctl read    nstop', nstop      
+
       REWIND( numnam_ref )              ! Namelist namctl in reference namelist : Control prints
       READ  ( numnam_ref, namctl, IOSTAT = ios, ERR = 901 )
@@ -265,4 +269,7 @@
 902   IF( ios /= 0 ) CALL ctl_nam ( ios , 'namctl in configuration namelist', .TRUE. )
 
+
+!!gm      WRITE(clbug(2),*) ' before namelist namcfg read    nstop', nstop      
+
       !
       REWIND( numnam_ref )              ! Namelist namcfg in reference namelist
@@ -273,4 +280,6 @@
       READ  ( numnam_cfg, namcfg, IOSTAT = ios, ERR = 904 )
 904   IF( ios /= 0 ) CALL ctl_nam ( ios , 'namcfg in configuration namelist', .TRUE. )   
+
+!!gm      WRITE(clbug(3),*) ' after namelist namcfg read    nstop', nstop
 
       !                             !--------------------------!
@@ -291,5 +300,6 @@
       jpk    = jpkglo
       jpidta = jpiglo         !!gm  jpidta, jpjdta : to be suppressed
-      jpjdta = jpjglo         !!gm  together with jpizoom, jpjzoom and all associated variables... 
+      jpjdta = jpjglo         !!gm   
+      jpkdta = jpkglo
       !
 #if defined key_agrif
@@ -301,6 +311,4 @@
          jpidta  = jpiglo
          jpjdta  = jpjglo
-         jpizoom = 1
-         jpjzoom = 1
          nperio  = 0
          jperio  = 0
@@ -338,4 +346,5 @@
       ENDIF
 #endif
+
       narea = narea + 1                                     ! mynode return the rank of proc (0 --> jpnij -1 )
 
@@ -376,16 +385,18 @@
          jpj = ( jpjglo     -2*jprecj + (jpnj-1) ) / jpnj + 2*jprecj    ! second dim.
 #endif
-      ENDIF         
-         jpk = jpkdta                                             ! third dim
+      ENDIF
+               
+      jpk = jpkdta                                             ! third dim
+      
 #if defined key_agrif
-         ! simple trick to use same vertical grid as parent but different number of levels: 
-         ! Save maximum number of levels in jpkdta, then define all vertical grids with this number.
-         ! Suppress once vertical online interpolation is ok
-         IF(.NOT.Agrif_Root())   jpkdta = Agrif_Parent( jpkdta )
-#endif
-         jpim1 = jpi-1                                            ! inner domain indices
-         jpjm1 = jpj-1                                            !   "           "
-         jpkm1 = jpk-1                                            !   "           "
-         jpij  = jpi*jpj                                          !  jpi x j
+      ! simple trick to use same vertical grid as parent but different number of levels: 
+      ! Save maximum number of levels in jpkdta, then define all vertical grids with this number.
+      ! Suppress once vertical online interpolation is ok
+      IF(.NOT.Agrif_Root())   jpkdta = Agrif_Parent( jpkdta )
+#endif
+      jpim1 = jpi-1                                            ! inner domain indices
+      jpjm1 = jpj-1                                            !   "           "
+      jpkm1 = jpk-1                                            !   "           "
+      jpij  = jpi*jpj                                          !  jpi x j
 
       IF(lwp) THEN                            ! open listing units
@@ -393,4 +404,13 @@
          CALL ctl_opn( numout, 'ocean.output', 'REPLACE', 'FORMATTED', 'SEQUENTIAL', -1, 6, .FALSE., narea )
          !
+
+         DO ji = 1, SIZE(clbug)
+            IF( TRIM(clbug (ji)) /= '' )   WRITE(numout,*) clbug(ji)      ! bug print 
+         END DO
+         WRITE(numout,*)
+
+
+
+
          WRITE(numout,*)
          WRITE(numout,*) '   CNRS - NERC - Met OFFICE - MERCATOR-ocean - INGV - CMCC'
@@ -416,4 +436,6 @@
       ! allocate arrays
       CALL nemo_alloc()
+
+      WRITE(numout,*) ' -after alloc--    nstop', nstop
 
       !                             !-------------------------------!
@@ -581,11 +603,4 @@
          WRITE(numout,*) '      configuration zoom name                          cp_cfz  = ', TRIM(cp_cfz)
          WRITE(numout,*) '      configuration resolution                         jp_cfg  = ', jp_cfg
-         WRITE(numout,*) '      1st lateral dimension ( >= jpiglo )              jpidta  = ', jpidta
-         WRITE(numout,*) '      2nd    "         "    ( >= jpjglo )              jpjdta  = ', jpjdta
-         WRITE(numout,*) '      3nd    "         "                               jpkdta  = ', jpkdta
-         WRITE(numout,*) '      1st dimension of global domain in i              jpiglo  = ', jpiglo
-         WRITE(numout,*) '      2nd    -                  -    in j              jpjglo  = ', jpjglo
-         WRITE(numout,*) '      left bottom i index of the zoom (in data domain) jpizoom = ', jpizoom
-         WRITE(numout,*) '      left bottom j index of the zoom (in data domain) jpizoom = ', jpjzoom
          WRITE(numout,*) '      lateral cond. type (between 0 and 6)             jperio  = ', jperio   
          WRITE(numout,*) '      use file attribute if exists as i/p j-start ln_use_jattr = ', ln_use_jattr
Index: branches/2016/dev_r6409_SIMPLIF_2_usrdef/NEMOGCM/NEMO/OPA_SRC/par_oce.F90
===================================================================
--- branches/2016/dev_r6409_SIMPLIF_2_usrdef/NEMOGCM/NEMO/OPA_SRC/par_oce.F90	(revision 6595)
+++ branches/2016/dev_r6409_SIMPLIF_2_usrdef/NEMOGCM/NEMO/OPA_SRC/par_oce.F90	(revision 6596)
@@ -33,32 +33,56 @@
    INTEGER       ::   jp_cfg           !: resolution of the configuration
 
-   ! data size                                       !!! * size of all input files *
-   INTEGER       ::   jpidta           !: 1st lateral dimension ( >= jpi )
-   INTEGER       ::   jpjdta           !: 2nd    "         "    ( >= jpj )
-   INTEGER       ::   jpkdta           !: number of levels      ( >= jpk )
+   !!---------------------------------------------------------------------
+   !! Domain Matrix size 
+   !!---------------------------------------------------------------------
 
-   ! global or zoom domain size                      !!! * computational domain *
+!!gm  TO BE SUPRESSED
+   ! data size                        !!! * size of all input files *
+   INTEGER       ::   jpidta           !: 1st lateral dimension 
+   INTEGER       ::   jpjdta           !: 2nd    "         "   
+   INTEGER       ::   jpkdta           !: number of levels     
+!!gm  END
+
+   ! global domain size               !!! * total computational domain *
    INTEGER       ::   jpiglo           !: 1st dimension of global domain --> i-direction
    INTEGER       ::   jpjglo           !: 2nd    -                  -    --> j-direction
    INTEGER       ::   jpkglo           !: 3nd    -                  -    --> k levels
 
-   ! zoom starting position 
-   INTEGER       ::   jpizoom          !: left bottom (i,j) indices of the zoom
-   INTEGER       ::   jpjzoom          !: in data domain indices
+#if defined key_agrif
+
+!!gm  BUG ?   I'm surprised by the calculation below of nbcellsx and nbcellsy before jpiglo,jpjglo 
+!!gm                           has been assigned to a value....
+!!gm
+
+   ! global domain size for AGRIF     !!! * total AGRIF computational domain *
+   INTEGER, PUBLIC, PARAMETER ::   nbghostcells = 1                             !: number of ghost cells
+   INTEGER, PUBLIC            ::   nbcellsx     = jpiglo - 2 - 2*nbghostcells   !: number of cells in i-direction
+   INTEGER, PUBLIC            ::   nbcellsy     = jpjglo - 2 - 2*nbghostcells   !: number of cells in j-direction
+#endif
+
+   ! local domain size                !!! * local computational domain *
+   INTEGER, PUBLIC ::   jpi   ! = ( jpiglo-2*jpreci + (jpni-1) ) / jpni + 2*jpreci   !: first  dimension
+   INTEGER, PUBLIC ::   jpj   ! = ( jpjglo-2*jprecj + (jpnj-1) ) / jpnj + 2*jprecj   !: second dimension
+   INTEGER, PUBLIC ::   jpk   ! = jpkdta
+   INTEGER, PUBLIC ::   jpim1 ! = jpi-1                                            !: inner domain indices
+   INTEGER, PUBLIC ::   jpjm1 ! = jpj-1                                            !:   -     -      -
+   INTEGER, PUBLIC ::   jpkm1 ! = jpk-1                                            !:   -     -      -
+   INTEGER, PUBLIC ::   jpij  ! = jpi*jpj                                          !:  jpi x jpj
+
 
    ! Domain characteristics
-   INTEGER       ::   jperio           !: lateral cond. type (between 0 and 6)
-   !                                       !  = 0 closed                 ;   = 1 cyclic East-West
-   !                                       !  = 2 equatorial symmetric   ;   = 3 North fold T-point pivot
-   !                                       !  = 4 cyclic East-West AND North fold T-point pivot
-   !                                       !  = 5 North fold F-point pivot
-   !                                       !  = 6 cyclic East-West AND North fold F-point pivot
+   INTEGER       ::   jperio         !: lateral cond. type (between 0 and 6)
+   !                                      !  = 0 closed                 ;   = 1 cyclic East-West
+   !                                      !  = 2 equatorial symmetric   ;   = 3 North fold T-point pivot
+   !                                      !  = 4 cyclic East-West AND North fold T-point pivot
+   !                                      !  = 5 North fold F-point pivot
+   !                                      !  = 6 cyclic East-West AND North fold F-point pivot
 
    ! Input file read offset
-   LOGICAL       ::   ln_use_jattr     !: Use file global attribute: open_ocean_jstart to determine start j-row 
-                                           ! when reading input from those netcdf files that have the 
-                                           ! attribute defined. This is designed to enable input files associated 
-                                           ! with the extended grids used in the under ice shelf configurations to 
-                                           ! be used without redundant rows when the ice shelves are not in use.
+   LOGICAL       ::   ln_use_jattr   !: Use file global attribute: open_ocean_jstart to determine start j-row 
+                                          ! when reading input from those netcdf files that have the 
+                                          ! attribute defined. This is designed to enable input files associated 
+                                          ! with the extended grids used in the under ice shelf configurations to 
+                                          ! be used without redundant rows when the ice shelves are not in use.
 
    !!  Values set to pp_not_used indicates that this parameter is not used in THIS config.
@@ -66,6 +90,4 @@
    REAL(wp)      ::   pp_not_used       = 999999._wp   !: vertical grid parameter
    REAL(wp)      ::   pp_to_be_computed = 999999._wp   !:    -      -       -
-
-
 
 
@@ -77,20 +99,4 @@
    INTEGER, PUBLIC, PARAMETER ::   jp_sal = 2    !: indice for salinity
 
-   !!---------------------------------------------------------------------
-   !! Domain Matrix size  (if AGRIF, they are not all parameters)
-   !!---------------------------------------------------------------------
-#if defined key_agrif
-   INTEGER, PUBLIC, PARAMETER ::   nbghostcells = 1                             !: number of ghost cells
-   INTEGER, PUBLIC            ::   nbcellsx     = jpiglo - 2 - 2*nbghostcells   !: number of cells in i-direction
-   INTEGER, PUBLIC            ::   nbcellsy     = jpjglo - 2 - 2*nbghostcells   !: number of cells in j-direction
-   !
-#endif
-   INTEGER, PUBLIC  ::   jpi   ! = ( jpiglo-2*jpreci + (jpni-1) ) / jpni + 2*jpreci   !: first  dimension
-   INTEGER, PUBLIC  ::   jpj   ! = ( jpjglo-2*jprecj + (jpnj-1) ) / jpnj + 2*jprecj   !: second dimension
-   INTEGER, PUBLIC  ::   jpk   ! = jpkdta
-   INTEGER, PUBLIC  ::   jpim1 ! = jpi-1                                            !: inner domain indices
-   INTEGER, PUBLIC  ::   jpjm1 ! = jpj-1                                            !:   -     -      -
-   INTEGER, PUBLIC  ::   jpkm1 ! = jpk-1                                            !:   -     -      -
-   INTEGER, PUBLIC  ::   jpij  ! = jpi*jpj                                          !:  jpi x jpj
 
    !!----------------------------------------------------------------------
Index: branches/2016/dev_r6409_SIMPLIF_2_usrdef/NEMOGCM/NEMO/OPA_SRC/usrdef.F90
===================================================================
--- branches/2016/dev_r6409_SIMPLIF_2_usrdef/NEMOGCM/NEMO/OPA_SRC/usrdef.F90	(revision 6595)
+++ branches/2016/dev_r6409_SIMPLIF_2_usrdef/NEMOGCM/NEMO/OPA_SRC/usrdef.F90	(revision 6596)
@@ -87,5 +87,5 @@
    SUBROUTINE usr_def_hgr( plamt , plamu , plamv  , plamf  ,   &   ! geographic position (required)
       &                    pphit , pphiu , pphiv  , pphif  ,   &   !
-      &                    kff   , pff   ,                     &   ! Coriolis parameter  (if domain not on the sphere)
+      &                    kff   , pff_f , pff_t  ,            &   ! Coriolis parameter  (if domain not on the sphere)
       &                    pe1t  , pe1u  , pe1v   , pe1f   ,   &   ! scale factors       (required)
       &                    pe2t  , pe2u  , pe2v   , pe2f   ,   &   !
@@ -112,5 +112,5 @@
       REAL(wp), DIMENSION(:,:), INTENT(out) ::   pphit, pphiu, pphiv, pphif   ! latitude outputs                      [degrees]
       INTEGER                 , INTENT(out) ::   kff                          ! =1 Coriolis parameter computed here, =0 otherwise
-      REAL(wp), DIMENSION(:,:), INTENT(out) ::   pff                          ! Coriolis factor at f-point                [1/s]
+      REAL(wp), DIMENSION(:,:), INTENT(out) ::   pff_f, pff_t                 ! Coriolis factor at f-point                [1/s]
       REAL(wp), DIMENSION(:,:), INTENT(out) ::   pe1t, pe1u, pe1v, pe1f       ! i-scale factors                             [m]
       REAL(wp), DIMENSION(:,:), INTENT(out) ::   pe2t, pe2u, pe2v, pe2f       ! j-scale factors                             [m]
@@ -130,12 +130,12 @@
       IF(lwp) WRITE(numout,*) '          beta-plane with regular grid-spacing and rotated domain (GYRE configuration)'
       !
-      !           !==  grid point position  ==!
-      !
-      zlam1 = -85._wp                        ! position of gridpoint (i,j) = (1,jpjglo)
+      !                       !==  grid point position  ==!
+      !
+      zlam1 = -85._wp                           ! position of gridpoint (i,j) = (1,jpjglo)
       zphi1 =  29._wp
       !
-      ze1 = 106000. / REAL( nn_GYRE , wp )   ! gridspacing in meters
-      !
-      zsin_alpha = - SQRT( 2._wp ) * 0.5_wp  ! angle: 45 degrees
+      ze1 = 106000._wp / REAL( nn_GYRE , wp )   ! gridspacing in meters
+      !
+      zsin_alpha = - SQRT( 2._wp ) * 0.5_wp     ! angle: 45 degrees
       zcos_alpha =   SQRT( 2._wp ) * 0.5_wp
       ze1deg = ze1 / (ra * rad)
@@ -179,7 +179,7 @@
       END DO
       !
-      !           !== Horizontal scale factors ==! (in meters)
+      !                       !== Horizontal scale factors ==! (in meters)
       !                     
-      !                             ! constant grid spacing
+      !                                         ! constant grid spacing
       pe1t(:,:) =  ze1     ;      pe2t(:,:) = ze1
       pe1u(:,:) =  ze1     ;      pe2u(:,:) = ze1
@@ -187,9 +187,9 @@
       pe1f(:,:) =  ze1     ;      pe2f(:,:) = ze1
       !
-      !                             ! NO reduction of grid size in some straits 
-      ke1e2u_v = 0                  !    ==>> u_ & v_surfaces will be computed in dom_ghr routine
-      !
-      !
-      !           !==  Coriolis parameter  ==!
+      !                                         ! NO reduction of grid size in some straits 
+      ke1e2u_v = 0                              !    ==>> u_ & v_surfaces will be computed in dom_ghr routine
+      !
+      !
+      !                       !==  Coriolis parameter  ==!
       kff = 1                                            !  indicate not to compute ff afterward
       !
@@ -200,5 +200,6 @@
       zf0   = 2. * omega * SIN( rad * zphi0 )            !  compute f0 1st point south
       !
-      pff(:,:) = ( zf0 + zbeta * ABS( pphif(:,:) - zphi0 ) * rad * ra ) ! f = f0 +beta* y ( y=0 at south)
+      pff_f(:,:) = ( zf0 + zbeta * ABS( pphif(:,:) - zphi0 ) * rad * ra ) ! f = f0 +beta* y ( y=0 at south)
+      pff_t(:,:) = ( zf0 + zbeta * ABS( pphit(:,:) - zphi0 ) * rad * ra ) ! f = f0 +beta* y ( y=0 at south)
       !
       IF(lwp) WRITE(numout,*) '                           beta-plane used. beta = ', zbeta, ' 1/(s.m)'
Index: branches/2016/dev_r6409_SIMPLIF_2_usrdef/NEMOGCM/NEMO/SAO_SRC/nemogcm.F90
===================================================================
--- branches/2016/dev_r6409_SIMPLIF_2_usrdef/NEMOGCM/NEMO/SAO_SRC/nemogcm.F90	(revision 6595)
+++ branches/2016/dev_r6409_SIMPLIF_2_usrdef/NEMOGCM/NEMO/SAO_SRC/nemogcm.F90	(revision 6596)
@@ -119,11 +119,12 @@
       INTEGER ::   ilocal_comm   ! local integer
       INTEGER ::   ios
-      CHARACTER(len=80), DIMENSION(16) ::   cltxt
+!!gm      CHARACTER(len=80), DIMENSION(16) ::   cltxt
+      CHARACTER(len=80), DIMENSION(-10:16) ::   cltxt
       !
       NAMELIST/namctl/ ln_ctl, nn_print, nn_ictls, nn_ictle,   &
          &             nn_isplt, nn_jsplt, nn_jctls, nn_jctle,   &
          &             nn_bench, nn_timing
-      NAMELIST/namcfg/ cp_cfg, cp_cfz, jp_cfg, jpidta, jpjdta, jpkdta, jpiglo, jpjglo, &
-         &             jpizoom, jpjzoom, jperio, ln_use_jattr
+      NAMELIST/namcfg/ cp_cfg, cp_cfz, jp_cfg,   &
+         &             jperio, ln_use_jattr
       !!----------------------------------------------------------------------
       !
@@ -161,6 +162,4 @@
       jpidta  = jpiglo
       jpjdta  = jpjglo
-      jpizoom = 1
-      jpjzoom = 1
       nperio  = 0
       jperio  = 0
@@ -333,11 +332,4 @@
          WRITE(numout,*) '      configuration zoom name         cp_cfz      = ', TRIM(cp_cfz)
          WRITE(numout,*) '      configuration resolution        jp_cfg      = ', jp_cfg
-         WRITE(numout,*) '      1st lateral dimension ( >= jpi ) jpidta     = ', jpidta
-         WRITE(numout,*) '      2nd    "         "    ( >= jpj ) jpjdta     = ', jpjdta
-         WRITE(numout,*) '      3nd    "         "               jpkdta     = ', jpkdta
-         WRITE(numout,*) '      1st dimension of global domain in i jpiglo  = ', jpiglo
-         WRITE(numout,*) '      2nd    -                  -    in j jpjglo  = ', jpjglo
-         WRITE(numout,*) '      left bottom i index of the zoom (in data domain) jpizoom = ', jpizoom
-         WRITE(numout,*) '      left bottom j index of the zoom (in data domain) jpizoom = ', jpjzoom
          WRITE(numout,*) '      lateral cond. type (between 0 and 6) jperio = ', jperio   
          WRITE(numout,*) '      use file attribute if exists as i/p j-start ln_use_jattr = ', ln_use_jattr
@@ -382,12 +374,4 @@
       ENDIF
       !
-      IF( nbench == 1 ) THEN              ! Benchmark
-         SELECT CASE ( cp_cfg )
-         CASE ( 'gyre' )   ;   CALL ctl_warn( ' The Benchmark is activated ' )
-         CASE DEFAULT      ;   CALL ctl_stop( ' The Benchmark is based on the GYRE configuration:',   &
-            &                                 ' cp_cfg = "gyre" in namelist &namcfg or set nbench = 0' )
-         END SELECT
-      ENDIF
-      !
       IF( 1_wp /= SIGN(1._wp,-0._wp)  )   CALL ctl_stop( 'nemo_ctl: The intrinsec SIGN function follows ',  &
          &                                               'f2003 standard. '                              ,  &
Index: branches/2016/dev_r6409_SIMPLIF_2_usrdef/NEMOGCM/NEMO/SAS_SRC/nemogcm.F90
===================================================================
--- branches/2016/dev_r6409_SIMPLIF_2_usrdef/NEMOGCM/NEMO/SAS_SRC/nemogcm.F90	(revision 6595)
+++ branches/2016/dev_r6409_SIMPLIF_2_usrdef/NEMOGCM/NEMO/SAS_SRC/nemogcm.F90	(revision 6596)
@@ -185,6 +185,6 @@
          &             nn_isplt, nn_jsplt, nn_jctls, nn_jctle,   &
          &             nn_bench, nn_timing, nn_diacfl
-      NAMELIST/namcfg/ cp_cfg, cp_cfz, jp_cfg, jpidta, jpjdta, jpkdta, jpiglo, jpjglo, &
-         &             jpizoom, jpjzoom, jperio, ln_use_jattr
+      NAMELIST/namcfg/ cp_cfg, cp_cfz, jp_cfg,   &
+         &             jperio, ln_use_jattr
       !!----------------------------------------------------------------------
       !
@@ -230,6 +230,4 @@
       jpidta  = jpiglo
       jpjdta  = jpjglo
-      jpizoom = 1
-      jpjzoom = 1
       nperio  = 0
       jperio  = 0
@@ -414,11 +412,4 @@
          WRITE(numout,*) '      configuration zoom name         cp_cfz      = ', TRIM(cp_cfz)
          WRITE(numout,*) '      configuration resolution        jp_cfg      = ', jp_cfg
-         WRITE(numout,*) '      1st lateral dimension ( >= jpi ) jpidta     = ', jpidta
-         WRITE(numout,*) '      2nd    "         "    ( >= jpj ) jpjdta     = ', jpjdta
-         WRITE(numout,*) '      3nd    "         "               jpkdta     = ', jpkdta
-         WRITE(numout,*) '      1st dimension of global domain in i jpiglo  = ', jpiglo
-         WRITE(numout,*) '      2nd    -                  -    in j jpjglo  = ', jpjglo
-         WRITE(numout,*) '      left bottom i index of the zoom (in data domain) jpizoom = ', jpizoom
-         WRITE(numout,*) '      left bottom j index of the zoom (in data domain) jpizoom = ', jpjzoom
          WRITE(numout,*) '      lateral cond. type (between 0 and 6) jperio = ', jperio   
          WRITE(numout,*) '      use file attribute if exists as i/p j-start ln_use_jattr = ', ln_use_jattr
@@ -463,12 +454,4 @@
       ENDIF
       !
-      IF( nbench == 1 ) THEN              ! Benchmark 
-         SELECT CASE ( cp_cfg )
-         CASE ( 'gyre' )   ;   CALL ctl_warn( ' The Benchmark is activated ' )
-         CASE DEFAULT      ;   CALL ctl_stop( ' The Benchmark is based on the GYRE configuration:',   &
-            &                                 ' cp_cfg="gyre" in namelist &namcfg or set nbench = 0' )
-         END SELECT
-      ENDIF
-      !
       IF( 1_wp /= SIGN(1._wp,-0._wp)  )   CALL ctl_stop( 'nemo_ctl: The intrinsec SIGN function follows ',  &
          &                                               'f2003 standard. '                              ,  &
Index: branches/2016/dev_r6409_SIMPLIF_2_usrdef/NEMOGCM/NEMO/TOP_SRC/TRP/trcdmp.F90
===================================================================
--- branches/2016/dev_r6409_SIMPLIF_2_usrdef/NEMOGCM/NEMO/TOP_SRC/TRP/trcdmp.F90	(revision 6595)
+++ branches/2016/dev_r6409_SIMPLIF_2_usrdef/NEMOGCM/NEMO/TOP_SRC/TRP/trcdmp.F90	(revision 6596)
@@ -201,5 +201,4 @@
       ENDIF
       !
-      IF( lzoom .AND. .NOT.lk_c1d )   nn_zdmp_tr = 0           ! restoring to climatology at closed north or south boundaries
       SELECT CASE ( nn_zdmp_tr )
       CASE ( 0 )   ;   IF(lwp) WRITE(numout,*) '   tracer damping throughout the water column'
Index: branches/2016/dev_r6409_SIMPLIF_2_usrdef/NEMOGCM/NEMO/TOP_SRC/TRP/trdmxl_trc.F90
===================================================================
--- branches/2016/dev_r6409_SIMPLIF_2_usrdef/NEMOGCM/NEMO/TOP_SRC/TRP/trdmxl_trc.F90	(revision 6595)
+++ branches/2016/dev_r6409_SIMPLIF_2_usrdef/NEMOGCM/NEMO/TOP_SRC/TRP/trdmxl_trc.F90	(revision 6596)
@@ -428,7 +428,8 @@
       ENDIF
 
-      IF ( cp_cfg .NE. 'gyre' ) THEN            ! other than GYRE configuration
-      ! GYRE : for diagnostic fields, are needed if cyclic B.C. are present, but not for purely MPI comm. 
-      ! therefore we do not call lbc_lnk in GYRE config. (closed basin, no cyclic B.C.)
+!!gm Test removed, nothing specific to a configuration should survive out of usrdef modules
+!!gm      IF ( cp_cfg .NE. 'gyre' ) THEN            ! other than GYRE configuration
+!!gm      ! GYRE : for diagnostic fields, are needed if cyclic B.C. are present, but not for purely MPI comm. 
+!!gm      ! therefore we do not call lbc_lnk in GYRE config. (closed basin, no cyclic B.C.)
          DO jn = 1, jptra
             IF( ln_trdtrc(jn) ) THEN
@@ -438,5 +439,6 @@
             ENDIF
          END DO
-      ENDIF
+!!gm      ENDIF
+      
       ! ======================================================================
       ! II. Cumulate the trends over the analysis window
